> For the complete documentation index, see [llms.txt](https://docs.mimic.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mimic.fi/developers/api/settlers.md).

# Settlers

Active settler contracts

## GET /settlers

> List active settlers

```json
{"openapi":"3.0.3","info":{"title":"Mimic Protocol API","version":"1.0.1"},"tags":[{"name":"Settlers","description":"Active settler contracts"}],"servers":[{"url":"https://api-protocol.mimic.fi"}],"paths":{"/settlers":{"get":{"summary":"List active settlers","operationId":"getSettlers","tags":["Settlers"],"responses":{"200":{"description":"List of active settlers","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Settler"}}}}}}}}},"components":{"schemas":{"Settler":{"type":"object","required":["address","chainId","createdAt"],"properties":{"address":{"$ref":"#/components/schemas/Address"},"chainId":{"$ref":"#/components/schemas/ChainId"},"createdAt":{"type":"string","format":"date-time"}}},"Address":{"type":"string","description":"A valid EVM (0x-prefixed hex) address."},"ChainId":{"type":"integer","description":"A supported chain ID."}}}}
```
